2017-07-28 79 views
0

根据指令装泊坞窗:错误安装搬运工

https://docs.docker.com/engine/installation/linux/docker-ee/ubuntu/#install-using-the-repository

,我有错误:

E: Unable to locate package docker-ee 

当更新包的索引返回错误:

W: Failed to fetch https://download.docker.com/linux/ubuntu/dists/trusty/InRelease Unable to find expected entry 'stable-17.03/binary-amd64/Packages' in Release file (Wrong sources.list entry or malformed file) 

这是什么错误?

PS

lsb_release 
Distributor ID: Ubuntu 
Description: Ubuntu 14.04.5 LTS 
Release: 14.04 
Codename: trusty 

uname -a 
Linux dev-Cherepanov 4.2.0-27-generiC#32~14.04.1-Ubuntu SMP Fri Jan 22 15:32:26 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux 
+0

你安装企业版。你为什么不联系Docker寻求支持?替代尝试这个,而不是:https://docs.docker.com/engine/installation/linux/docker-ce/ubuntu/ –

回答

0

有对Ubuntu 14.04的linux-image-预算外资金*包,这让泊坞窗EE使用AUFS存储驱动器和这里的命令,为他们一些额外的软件包:

$ sudo apt-get update 

$ sudo apt-get install \ 
    linux-image-extra-$(uname -r) \ 
    linux-image-extra-virtual 

,然后建立资料库:

$ sudo apt-get update 
$ sudo apt-get install \ 
    apt-transport-https \ 
    ca-certificates \ 
    curl \ 
    software-properties-common 
$ curl -fsSL <DOCKER-EE-URL>/ubuntu/gpg | sudo apt-key add - 
$ apt-key fingerprint 6D085F96 

pub 4096R/6D085F96 2017-02-22 
    Key fingerprint = DD91 1E99 5A64 A202 E859 07D6 BC14 F10B 6D08 5F96 
uid  [ultimate] Docker Release (EE deb) <[email protected]> 
sub 4096R/91A29FA3 2017-02-22 
$ sudo add-apt-repository \ 
    "deb [arch=amd64] <DOCKER-EE-URL>/ubuntu \ 
    $(lsb_release -cs) \ 
    stable-17.03" 

泊坞窗-EE的最后一个安装步骤: -

$ sudo apt-get update 
$ sudo apt-get install docker-ee 

希望这对你的作品。

+0

我早些时候安装这些包 –

+0

尝试彻底删除码头并重新安装它,这是你留下的选项,因为当我安装它时出现了一个问题,但是我遵循了上述的事情并且工作。 –

0

,你可以尝试运行

$ sudo add-apt-repository \ 
    "deb [arch=amd64] <DOCKER-EE-URL>/ubuntu \ 
    $(lsb_release -cs) \ 
    stable" 

$sudo add-apt-repository \ 
    "deb [arch=amd64] <DOCKER-EE-URL>/ubuntu \ 
    $(lsb_release -cs) \ 
    stable-17.03" 

然后

$ sudo apt-get update 
$ sudo apt-get install docker-ee